﻿using System;
using Xamarin.Forms;

namespace TestXAML
{
	public class CustomView : View
	{
		private bool _isColorVisible = false;
		public bool IsColorVisible {
			get { return (_isColorVisible); }
			set {
				_isColorVisible = value;
				BackgroundColor = (IsColorVisible) ? Color.Blue : Color.Red;
			}
		}

		public CustomView()
		{
			IsColorVisible = false;
		}
	}
}
